Reply
Member
Posts: 2
Registered: ‎12-10-2017

Could not load type 'AuthorizeNet.Environment' from assembly 'AuthorizeNet, Version=0.0.0.0, Culture

The error in the subject occurs as soon the wrapper class referencing the AuthorizeNet library is invoked.

My AuthorizeNet version is 1.9.4 from NuGet.

 

The problem seems to have started after I upgraded my project to .NET 4.6.2 (from 4.5.1). After re-targeting the project, I removed and re-installed the AuthorizeNet reference via Nuget Package Manager, with no success.

I have been unable to find specific statements about support for .NET 4.6.2.

 

Reverting to AuthorizeNet version 1.9.0 did not help.

 

Any help appreciated!

Highlighted
Authorize.Net Expert
Posts: 27
Registered: ‎11-22-2017

Re: Could not load type 'AuthorizeNet.Environment' from assembly 'AuthorizeNet, Version=0.0.0.0, Cul

Hi @ubar-on,

Are you still experiencing this issue? if yes, then can you please try removing the older reference for AuthorizeNet SDK and then try installing the new one and building the project?

Member
Posts: 2
Registered: ‎12-10-2017

Re: Could not load type 'AuthorizeNet.Environment' from assembly 'AuthorizeNet, Version=0.0.0.0, Cul

Hi and thanks for the response.

 

That was exactly the issue: another project in the solution was referencing the older version of the DLL.

 

All good now. 

 

Thanks
Udi